Permalink
Browse files

Setting up the gem

  • Loading branch information...
0 parents commit 72b8c81fccc58b416bc8563aabfc9621caa67316 @petebrowne committed Sep 19, 2011
Showing with 92 additions and 0 deletions.
  1. +4 −0 .gitignore
  2. +2 −0 Gemfile
  3. +20 −0 LICENSE
  4. +21 −0 README.md
  5. +6 −0 Rakefile
  6. +1 −0 lib/sass-sprockets.rb
  7. +1 −0 lib/sass/sprockets.rb
  8. +5 −0 lib/sass/sprockets/version.rb
  9. +25 −0 sass-sprockets.gemspec
  10. +5 −0 spec/sass_sprockets_spec.rb
  11. +2 −0 spec/spec_helper.rb
@@ -0,0 +1,4 @@
+*.gem
+.bundle
+Gemfile.lock
+pkg/*
@@ -0,0 +1,2 @@
+source :rubygems
+gemspec
20 LICENSE
@@ -0,0 +1,20 @@
+Copyright (c) 2011 Peter Browne
+
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of this software and associated documentation files (the
+"Software"), to deal in the Software without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, sublicense, and/or sell copies of the Software, and to
+permit persons to whom the Software is furnished to do so, subject to
+the following conditions:
+
+The above copyright notice and this permission notice shall be
+included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
+LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
@@ -0,0 +1,21 @@
+Sass::Sprockets
+===============
+
+Sass::Sprockets is a gem that fixes `@import` when used within Sprockets + Sass projects.
+
+Installation
+------------
+
+``` bash
+$ gem install sass-sprockets
+```
+
+Usage
+-----
+
+TODO...
+
+Copyright
+---------
+
+Copyright (c) 2011 [Peter Browne](http://petebrowne.com). See LICENSE for details.
@@ -0,0 +1,6 @@
+require "bundler/gem_tasks"
+
+require "rspec/core/rake_task"
+RSpec::Core::RakeTask.new
+
+task :default => :spec
@@ -0,0 +1 @@
+require "sass/sprockets"
@@ -0,0 +1 @@
+require "sass/sprockets/version"
@@ -0,0 +1,5 @@
+module Sass
+ module Sprockets
+ VERSION = "0.0.1"
+ end
+end
@@ -0,0 +1,25 @@
+# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "sass/sprockets/version"
+
+Gem::Specification.new do |s|
+ s.name = "sass-sprockets"
+ s.version = Sass::Sprockets::VERSION
+ s.authors = ["Pete Browne"]
+ s.email = ["me@petebrowne.com"]
+ s.homepage = "http://github.com/petebrowne/sass-sprockets"
+ s.summary = %q{Better Sass integration with Sprockets 2.0}
+ s.description = %q{Sass::Sprockets is a gem that fixes @import when used within Sprockets + Sass projects.}
+
+ s.rubyforge_project = "sass-sprockets"
+
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
+
+ s.add_runtime_dependency "sprockets", "~> 2.0"
+ s.add_runtime_dependency "tilt", "~> 1.3"
+ s.add_development_dependency "rake"
+ s.add_development_dependency "rspec", "~> 2.6"
+end
@@ -0,0 +1,5 @@
+require "spec_helper"
+
+describe Sass::Sprockets do
+ it "does something..."
+end
@@ -0,0 +1,2 @@
+require "bundler"
+Bundler.require :default, :development

0 comments on commit 72b8c81

Please sign in to comment.